#!/bin/bash

# Get directory of this script file:
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd "$SCRIPT_DIR"
# Special case for OS X:
if [ "$(uname)" = "Darwin" ] ; then
    export DYLD_FRAMEWORK_PATH=$DYLD_FRAMEWORK_PATH:$SCRIPT_DIR
    export DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH:$SCRIPT_DIR
    open addressbook.app
else
   export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$SCRIPT_DIR
   ./addressbook
fi

